summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorormorph <roma251078@mail.ru>2021-11-04 10:45:11 +0300
committerormorph <roma251078@mail.ru>2021-11-04 10:45:11 +0300
commit3a121fb3bb996e90bbf63236d0bc32add7223a69 (patch)
treee8b0b260f64cc4f448da96ce399e6312492df33f
parentff42a26ec6adde0f78e84902c8241b89008b8e4c (diff)
downloadtde-packaging-gentoo-3a121fb3.tar.gz
tde-packaging-gentoo-3a121fb3.zip
Added styles for TDE
Signed-off-by: ormorph <roma251078@mail.ru>
-rw-r--r--trinity-apps/tde-style-baghira/metadata.xml8
-rw-r--r--trinity-apps/tde-style-baghira/tde-style-baghira-9999.ebuild28
-rw-r--r--trinity-apps/tde-style-domino/metadata.xml8
-rw-r--r--trinity-apps/tde-style-domino/tde-style-domino-9999.ebuild28
-rw-r--r--trinity-apps/tde-style-ia-ora/metadata.xml5
-rw-r--r--trinity-apps/tde-style-ia-ora/tde-style-ia-ora-9999.ebuild3
-rw-r--r--trinity-apps/tde-style-lipstik/metadata.xml5
-rw-r--r--trinity-apps/tde-style-lipstik/tde-style-lipstik-9999.ebuild3
-rw-r--r--trinity-apps/tde-style-qtcurve/metadata.xml5
-rw-r--r--trinity-apps/tde-style-qtcurve/tde-style-qtcurve-9999.ebuild3
-rw-r--r--trinity-apps/twin-style-crystal/metadata.xml8
-rw-r--r--trinity-apps/twin-style-crystal/twin-style-crystal-9999.ebuild28
-rw-r--r--trinity-apps/twin-style-dekorator/metadata.xml8
-rw-r--r--trinity-apps/twin-style-dekorator/twin-style-dekorator-9999.ebuild28
-rw-r--r--trinity-apps/twin-style-suse2/metadata.xml8
-rw-r--r--trinity-apps/twin-style-suse2/twin-style-suse2-9999.ebuild30
16 files changed, 203 insertions, 3 deletions
diff --git a/trinity-apps/tde-style-baghira/metadata.xml b/trinity-apps/tde-style-baghira/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-apps/tde-style-baghira/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-apps/tde-style-baghira/tde-style-baghira-9999.ebuild b/trinity-apps/tde-style-baghira/tde-style-baghira-9999.ebuild
new file mode 100644
index 00000000..0f1f448e
--- /dev/null
+++ b/trinity-apps/tde-style-baghira/tde-style-baghira-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="never"
+
+TRINITY_LANGS="de"
+
+TRINITY_MODULE_TYPE="applications"
+inherit trinity-base-2
+
+DESCRIPTION="Baghira widget style for TDE"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+ trinity-base-2_src_configure
+}
diff --git a/trinity-apps/tde-style-domino/metadata.xml b/trinity-apps/tde-style-domino/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-apps/tde-style-domino/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-apps/tde-style-domino/tde-style-domino-9999.ebuild b/trinity-apps/tde-style-domino/tde-style-domino-9999.ebuild
new file mode 100644
index 00000000..28fb8862
--- /dev/null
+++ b/trinity-apps/tde-style-domino/tde-style-domino-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="never"
+
+TRINITY_LANGS="de nl"
+
+TRINITY_MODULE_TYPE="applications"
+inherit trinity-base-2
+
+DESCRIPTION="Domino widget style for TDE"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+ trinity-base-2_src_configure
+}
diff --git a/trinity-apps/tde-style-ia-ora/metadata.xml b/trinity-apps/tde-style-ia-ora/metadata.xml
index 7a38bb90..689e1534 100644
--- a/trinity-apps/tde-style-ia-ora/metadata.xml
+++ b/trinity-apps/tde-style-ia-ora/metadata.xml
@@ -1,5 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
</pkgmetadata>
diff --git a/trinity-apps/tde-style-ia-ora/tde-style-ia-ora-9999.ebuild b/trinity-apps/tde-style-ia-ora/tde-style-ia-ora-9999.ebuild
index 3116a4d3..cf4f2a98 100644
--- a/trinity-apps/tde-style-ia-ora/tde-style-ia-ora-9999.ebuild
+++ b/trinity-apps/tde-style-ia-ora/tde-style-ia-ora-9999.ebuild
@@ -14,3 +14,6 @@ HOMEPAGE="https://trinitydesktop.org/"
LICENSE="|| ( GPL-2 GPL-3 )"
SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
diff --git a/trinity-apps/tde-style-lipstik/metadata.xml b/trinity-apps/tde-style-lipstik/metadata.xml
index 7a38bb90..689e1534 100644
--- a/trinity-apps/tde-style-lipstik/metadata.xml
+++ b/trinity-apps/tde-style-lipstik/metadata.xml
@@ -1,5 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
</pkgmetadata>
diff --git a/trinity-apps/tde-style-lipstik/tde-style-lipstik-9999.ebuild b/trinity-apps/tde-style-lipstik/tde-style-lipstik-9999.ebuild
index 707c8bf5..ff88193e 100644
--- a/trinity-apps/tde-style-lipstik/tde-style-lipstik-9999.ebuild
+++ b/trinity-apps/tde-style-lipstik/tde-style-lipstik-9999.ebuild
@@ -17,6 +17,9 @@ HOMEPAGE="https://trinitydesktop.org/"
LICENSE="|| ( GPL-2 GPL-3 )"
SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
src_configure() {
local mycmakeargs=(
diff --git a/trinity-apps/tde-style-qtcurve/metadata.xml b/trinity-apps/tde-style-qtcurve/metadata.xml
index 7a38bb90..689e1534 100644
--- a/trinity-apps/tde-style-qtcurve/metadata.xml
+++ b/trinity-apps/tde-style-qtcurve/metadata.xml
@@ -1,5 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
</pkgmetadata>
diff --git a/trinity-apps/tde-style-qtcurve/tde-style-qtcurve-9999.ebuild b/trinity-apps/tde-style-qtcurve/tde-style-qtcurve-9999.ebuild
index 34e7f12f..ce96772a 100644
--- a/trinity-apps/tde-style-qtcurve/tde-style-qtcurve-9999.ebuild
+++ b/trinity-apps/tde-style-qtcurve/tde-style-qtcurve-9999.ebuild
@@ -17,6 +17,9 @@ HOMEPAGE="https://trinitydesktop.org/"
LICENSE="|| ( GPL-2 GPL-3 )"
SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
src_configure() {
local mycmakeargs=(
diff --git a/trinity-apps/twin-style-crystal/metadata.xml b/trinity-apps/twin-style-crystal/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-apps/twin-style-crystal/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-apps/twin-style-crystal/twin-style-crystal-9999.ebuild b/trinity-apps/twin-style-crystal/twin-style-crystal-9999.ebuild
new file mode 100644
index 00000000..086ae5e6
--- /dev/null
+++ b/trinity-apps/twin-style-crystal/twin-style-crystal-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="never"
+
+TRINITY_LANGS=""
+
+TRINITY_MODULE_TYPE="applications"
+inherit trinity-base-2
+
+DESCRIPTION="Crystal style for TWin"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+ trinity-base-2_src_configure
+}
diff --git a/trinity-apps/twin-style-dekorator/metadata.xml b/trinity-apps/twin-style-dekorator/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-apps/twin-style-dekorator/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-apps/twin-style-dekorator/twin-style-dekorator-9999.ebuild b/trinity-apps/twin-style-dekorator/twin-style-dekorator-9999.ebuild
new file mode 100644
index 00000000..ce3cb6b3
--- /dev/null
+++ b/trinity-apps/twin-style-dekorator/twin-style-dekorator-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="never"
+
+TRINITY_LANGS=""
+
+TRINITY_MODULE_TYPE="applications"
+inherit trinity-base-2
+
+DESCRIPTION="DeKorator 0.3 is a pixmap-based theme engine for TWin with its own themes"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+ trinity-base-2_src_configure
+}
diff --git a/trinity-apps/twin-style-suse2/metadata.xml b/trinity-apps/twin-style-suse2/metadata.xml
new file mode 100644
index 00000000..689e1534
--- /dev/null
+++ b/trinity-apps/twin-style-suse2/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>team-gentoo@trinitydesktop.org</email>
+ <name>Trinity Gentoo ebuilds project</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/trinity-apps/twin-style-suse2/twin-style-suse2-9999.ebuild b/trinity-apps/twin-style-suse2/twin-style-suse2-9999.ebuild
new file mode 100644
index 00000000..a0dc2628
--- /dev/null
+++ b/trinity-apps/twin-style-suse2/twin-style-suse2-9999.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="never"
+
+TRINITY_LANGS="bg bs cs cy da de el en_GB en_US es et fi fr
+ he hi hr hu id it ja km ko lo lt nb nl pa pl
+ pt_BR pt ro ru sk sl sr sv ta tr uk zh_CN zh_TW"
+
+TRINITY_MODULE_TYPE="applications"
+inherit trinity-base-2
+
+DESCRIPTION="TWin decoration theme from SUSE 9.3/10.0/10.1"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ )
+ trinity-base-2_src_configure
+}